Bug 217175 - VID no read out correctly (Pentium D, Intel motherboard)
VID no read out correctly (Pentium D, Intel motherboard)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lm_sensors (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-11-24 12:21 EST by Aleksandar Milivojevic
Modified: 2015-03-04 20:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-11 12:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksandar Milivojevic 2006-11-24 12:21:36 EST
Description of problem:
Not sure if this is lm_sensors or kernel problem.  Anyhow here's description of
the problem.

I've 3.2GHz Pentium D (I beleive it's sSpec number is SL94Q) and Intel D945GNT
motherboard.  Sensors-detect recognized the onboard chip as lm85.  The specs for
the processor indicate that VRD 10.1 specification should be used (seems to have
same decoding of core voltages as VRD 10.0).

After setting "set vrm 10.0" and running sensors -s; sensors, I get in the output:

VCore:      +1.22 V  (min =  +1.03 V, max =  +1.14 V)   ALARM
vid:      +1.088 V  (VRM Version 10.0)

The VCore line is correct (BIOS reports almost the same values).  The voltage is
good (Intel's specs for the processor say VCore should be between 1.25V and 1.4V
for all versions of 3.2GHz Pentium D, currently there's two of them).

Looking at the VRD spec, 1.088V would correspond to all VID pins set to 0 (in
both VRM 10.0 and 10.1).  So I guess lm_sensors silently failed to read out VID,
and assumed all VID pins on processor were zero.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. sensors-detect
2. set vrm 10.0 in appropriate section of /etc/sensors.conf
3. sensors -s
4. sensors
Actual results:
Incorrect readout of processor's VID pins (as if they were all zero)

Expected results:

Additional info:
Comment 1 Phil Knirsch 2009-03-11 08:02:23 EDT
Is this still a problem with the most current version of the kernel and lm_sensors as with Red Hat Enterprise Linux 5 Update 3 lm_sensors was rebased to a newer version.

Thanks & regards.
Comment 2 Aleksandar Milivojevic 2009-03-11 12:01:37 EDT
I don't have the particular hardware to test on anymore.  Unless somebody else chimes in, feel free to close.
Comment 3 Phil Knirsch 2009-03-11 12:43:24 EDT
Thanks for the info.

I'll close this bug then and in case it reappears we can easily reopen it.

Regards, Phil

Note You need to log in before you can comment on or make changes to this bug.